## perl4caml 0.3.7

=== Makefile ===
# Interface to Perl from OCaml.
# Copyright (C) 2003 Merjis Ltd.
# $Id: Makefile,v 1.19 2003/11/19 16:28:22 rich Exp $

include Makefile.config

OCAMLC := ocamlc
OCAMLOPT := ocamlopt
OCAMLMKLIB := ocamlmklib
OCAMLDEP := ocamldep
OCAMLDOC := ocamldoc

OCAMLCINCS := -I wrappers
OCAMLOPTINCS := $(OCAMLCINCS)

OCAMLCFLAGS := -w s -g $(OCAMLCINCS)
OCAMLOPTFLAGS := -w s $(OCAMLOPTINCS)

CC := gcc
CFLAGS := -Wall -Wno-unused -I$(PERLINCDIR) $(EXTRA_CFLAGS)

LIBPERL := $(shell perl -MExtUtils::Embed -e ldopts)

SED := sed

# XXX Hack required by ocamlopt, and sometimes ocamlc.
# To work out what this should be, try:
# `perl -MExtUtils::Embed -e ldopts'
DYNALOADER_HACK := /usr/lib/perl/5.8.2/auto/DynaLoader/DynaLoader.a

OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)

WRAPPERS := \
	wrappers/pl_Date_Calc.cmo \
	wrappers/pl_Date_Format.cmo \
	wrappers/pl_Date_Parse.cmo \
	wrappers/pl_Net_Google_Cache.cmo \
	wrappers/pl_Net_Google_Response.cmo \
	wrappers/pl_Net_Google_Search.cmo \
	wrappers/pl_Net_Google_Spelling.cmo \
	wrappers/pl_Net_Google.cmo \
	wrappers/pl_HTML_Element.cmo \
	wrappers/pl_HTML_Parser.cmo \
	wrappers/pl_HTML_TreeBuilder.cmo \
	wrappers/pl_URI.cmo \
	wrappers/pl_HTTP_Message.cmo \
	wrappers/pl_HTTP_Request.cmo \
	wrappers/pl_HTTP_Response.cmo \
	wrappers/pl_LWP_UserAgent.cmo

all:	perl4caml.cma perl4caml.cmxa META all-examples html

perl4caml.cma: perl.cmo perl_c.o $(WRAPPERS)
	$(OCAMLMKLIB) -o perl4caml $(LIBPERL) $^

perl4caml.cmxa: perl.cmx perl_c.o $(WRAPPERS:.cmo=.cmx)
	$(OCAMLMKLIB) -o perl4caml $(LIBPERL) $^

all-examples: examples/test examples/loadpage examples/google \
	examples/test.opt examples/loadpage.opt examples/google.opt \
	examples/parsedate examples/parsedate.opt

examples/test: examples/test.cmo
	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@

examples/test.opt: examples/test.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
	$(DYNALOADER_HACK) $^ -o $@

examples/loadpage: examples/loadpage.cmo
	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@

examples/loadpage.opt: examples/loadpage.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
	$(DYNALOADER_HACK) $^ -o $@

examples/google: examples/google.cmo
	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@

examples/google.opt: examples/google.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
	$(DYNALOADER_HACK) $^ -o $@

examples/parsedate: examples/parsedate.cmo
	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@

examples/parsedate.opt: examples/parsedate.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
	$(DYNALOADER_HACK) $^ -o $@

%.cmi: %.mli
	$(OCAMLC) $(OCAMLCFLAGS) -c $<

%.cmo: %.ml
	$(OCAMLC) $(OCAMLCFLAGS) -c $<

%.cmx: %.ml
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c $<

.SUFFIXES: .mli .ml .cmi .cmo .cmx

META:	META.in Makefile.config
	$(SED)  -e 's/@PACKAGE@/$(PACKAGE)/' \
		-e 's/@VERSION@/$(VERSION)/' \
		< $< > $@

# Clean.

JUNKFILES = core *~ *.bak *.cmi *.cmo *.cmx *.cma *.cmxa *.o *.a *.so *.opt

clean:
	rm -f META examples/test examples/loadpage examples/google \
	examples/parsedate
	for d in . examples wrappers; do (cd $$d; rm -f $(JUNKFILES)); done

# Build dependencies.

ifeq ($(wildcard .depend),.depend)
include .depend
endif

depend:	.depend

.depend: $(wildcard *.ml) $(wildcard *.mli) $(wildcard examples/*.ml) \
	$(wildcard wrappers/*.ml)
	$(OCAMLDEP) $(OCAMLCINCS) *.mli *.ml examples/*.ml wrappers/*.ml \
	> .depend

# Install.

install:
	rm -rf $(DESTDIR)$(OCAMLLIBDIR)/perl
	install -c -m 0755 -d $(DESTDIR)$(OCAMLLIBDIR)/perl
	install -c -m 0755 -d $(DESTDIR)$(OCAMLLIBDIR)/stublibs
	install -c -m 0644 perl.cmi perl.mli perl4caml.cma perl4caml.cmxa \
	  perl4caml.a libperl4caml.a META \
	  $(WRAPPERS:.cmo=.ml) $(WRAPPERS:.cmo=.cmi) \
	  $(DESTDIR)$(OCAMLLIBDIR)/perl
	install -c -m 0644 dllperl4caml.so $(DESTDIR)$(OCAMLLIBDIR)/stublibs

# Distribution.

dist:
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	tar -cf - -T MANIFEST | tar -C $(PACKAGE)-$(VERSION) -xf -
	tar zcf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)
	ls -l $(PACKAGE)-$(VERSION).tar.gz

check-manifest:
	@for d in `find -type d -name CVS`; \
	do \
	b=`dirname $$d`/; \
	awk -F/ '$$1 != "D" {print $$2}' $$d/Entries | \
	sed -e "s|^|$$b|" -e "s|^\./||"; \
	done | sort > .check-manifest; \
	sort MANIFEST > .orig-manifest; \
	diff -u .orig-manifest .check-manifest; \
	rm -f .orig-manifest .check-manifest

# Debian packages.

dpkg:
	@if [ 0 != `cvs -q update | wc -l` ]; then \
	echo Please commit all changes to CVS first.; \
	exit 1; \
	fi
	$(MAKE) dist
	rm -rf /tmp/dbuild
	mkdir /tmp/dbuild
	cp $(PACKAGE)-$(VERSION).tar.gz \
	  /tmp/dbuild/$(PACKAGE)_$(VERSION).orig.tar.gz
	export CVSROOT=`cat CVS/Root`; \
	  cd /tmp/dbuild && \
	  cvs export \
	  -d $(PACKAGE)-$(VERSION) \
	  -D now merjis/test/perl4caml
	cd /tmp/dbuild/$(PACKAGE)-$(VERSION) && dpkg-buildpackage -rfakeroot
	rm -rf /tmp/dbuild/$(PACKAGE)-$(VERSION)
	ls -l /tmp/dbuild

# Documentation.

html:	html/index.html

html/index.html: $(wildcard *.ml) $(wildcard *.mli) $(wildcard wrappers/*.ml)
	rm -rf html
	mkdir html
	-$(OCAMLDOC) $(OCAMLDOCFLAGS) -d html $^

.PHONY: depend dist check-manifest html dpkg

## perl4caml 0.3.15

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Interface to Perl from OCaml.
 # Copyright (C) 2003 Merjis Ltd.
-# $Id: Makefile,v 1.19 2003/11/19 16:28:22 rich Exp $
+# $Id: Makefile,v 1.28 2004/12/11 15:40:08 rich Exp $
 
 include Makefile.config
 
@@ -16,17 +16,14 @@
 OCAMLCFLAGS := -w s -g $(OCAMLCINCS)
 OCAMLOPTFLAGS := -w s $(OCAMLOPTINCS)
 
+PERLCFLAGS := $(shell perl -e 'use Config; print $$Config{ccflags};')
+
 CC := gcc
-CFLAGS := -Wall -Wno-unused -I$(PERLINCDIR) $(EXTRA_CFLAGS)
+CFLAGS := -fPIC -Wall -Wno-unused -I$(PERLINCDIR) $(PERLCFLAGS) $(EXTRA_CFLAGS)
 
 LIBPERL := $(shell perl -MExtUtils::Embed -e ldopts)
 
 SED := sed
-
-# XXX Hack required by ocamlopt, and sometimes ocamlc.
-# To work out what this should be, try:
-# `perl -MExtUtils::Embed -e ldopts'
-DYNALOADER_HACK := /usr/lib/perl/5.8.2/auto/DynaLoader/DynaLoader.a
 
 OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)
 
@@ -43,10 +40,16 @@
 	wrappers/pl_HTML_Parser.cmo \
 	wrappers/pl_HTML_TreeBuilder.cmo \
 	wrappers/pl_URI.cmo \
+	wrappers/pl_HTTP_Cookies.cmo \
+	wrappers/pl_HTTP_Headers.cmo \
 	wrappers/pl_HTTP_Message.cmo \
 	wrappers/pl_HTTP_Request.cmo \
+	wrappers/pl_HTTP_Request_Common.cmo \
 	wrappers/pl_HTTP_Response.cmo \
-	wrappers/pl_LWP_UserAgent.cmo
+	wrappers/pl_HTML_Form.cmo \
+	wrappers/pl_LWP_UserAgent.cmo \
+	wrappers/pl_Template.cmo \
+	wrappers/pl_WWW_Mechanize.cmo
 
 all:	perl4caml.cma perl4caml.cmxa META all-examples html
 
@@ -141,6 +144,7 @@
 # Distribution.
 
 dist:
+	$(MAKE) check-manifest
 	rm -rf $(PACKAGE)-$(VERSION)
 	mkdir $(PACKAGE)-$(VERSION)
 	tar -cf - -T MANIFEST | tar -C $(PACKAGE)-$(VERSION) -xf -
@@ -149,15 +153,16 @@
 	ls -l $(PACKAGE)-$(VERSION).tar.gz
 
 check-manifest:
-	@for d in `find -type d -name CVS`; \
+	@for d in `find -type d -name CVS | grep -v '^\./debian/'`; \
 	do \
 	b=`dirname $$d`/; \
 	awk -F/ '$$1 != "D" {print $$2}' $$d/Entries | \
 	sed -e "s|^|$$b|" -e "s|^\./||"; \
 	done | sort > .check-manifest; \
 	sort MANIFEST > .orig-manifest; \
-	diff -u .orig-manifest .check-manifest; \
-	rm -f .orig-manifest .check-manifest
+	diff -u .orig-manifest .check-manifest; rv=$$?; \
+	rm -f .orig-manifest .check-manifest; \
+	exit $$rv
 
 # Debian packages.

## perl4caml 0.9.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Interface to Perl from OCaml.
 # Copyright (C) 2003 Merjis Ltd.
-# $Id: Makefile,v 1.28 2004/12/11 15:40:08 rich Exp $
+# $Id: Makefile,v 1.30 2005/01/31 15:23:23 rich Exp $
 
 include Makefile.config
 
@@ -28,6 +28,7 @@
 OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)
 
 WRAPPERS := \
+	wrappers/pl_Data_Dumper.cmo \
 	wrappers/pl_Date_Calc.cmo \
 	wrappers/pl_Date_Format.cmo \
 	wrappers/pl_Date_Parse.cmo \
@@ -59,35 +60,39 @@
 perl4caml.cmxa: perl.cmx perl_c.o $(WRAPPERS:.cmo=.cmx)
 	$(OCAMLMKLIB) -o perl4caml $(LIBPERL) $^
 
-all-examples: examples/test examples/loadpage examples/google \
+all-examples: examples/test.bc examples/loadpage.bc examples/google.bc \
 	examples/test.opt examples/loadpage.opt examples/google.opt \
-	examples/parsedate examples/parsedate.opt
-
-examples/test: examples/test.cmo
+	examples/parsedate.bc examples/parsedate.opt
+
+TEST_PROGRAMS := $(patsubst %.ml,%.bc,$(wildcard test/*.ml)) \
+	$(patsubst %.ml,%.opt,$(wildcard test/*.ml))
+
+test: $(TEST_PROGRAMS) run-tests
+
+check: test
+
+run-tests:
+	@fails=0; count=0; \
+	export LD_LIBRARY_PATH=`pwd`:$LD_LIBRARY_PATH; \
+	for prog in $(TEST_PROGRAMS); do \
+	  if ! $$prog; then \
+	    echo Test $$prog failed; \
+	    fails=$$(($$fails+1)); \
+	  fi; \
+	  count=$$(($$count+1)); \
+	done; \
+	if [ $$fails -eq 0 ]; then \
+	  echo All tests succeeded.; \
+	  exit 0; \
+	else \
+	  echo $$fails/$$count tests failed.; \
+	  exit 1; \
+	fi
+
+%.bc: %.cmo
 	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@
 
-examples/test.opt: examples/test.cmx
-	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
-	$(DYNALOADER_HACK) $^ -o $@
-
-examples/loadpage: examples/loadpage.cmo
-	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@
-
-examples/loadpage.opt: examples/loadpage.cmx
-	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
-	$(DYNALOADER_HACK) $^ -o $@
-
-examples/google: examples/google.cmo
-	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@
-
-examples/google.opt: examples/google.cmx
-	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
-	$(DYNALOADER_HACK) $^ -o $@
-
-examples/parsedate: examples/parsedate.cmo
-	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@
-
-examples/parsedate.opt: examples/parsedate.cmx
+%.opt: %.cmx
 	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
 	$(DYNALOADER_HACK) $^ -o $@
 
@@ -109,12 +114,14 @@
 
 # Clean.
 
-JUNKFILES = core *~ *.bak *.cmi *.cmo *.cmx *.cma *.cmxa *.o *.a *.so *.opt
+JUNKFILES = core *~ *.bak *.cmi *.cmo *.cmx *.cma *.cmxa *.o *.a *.so \
+	*.bc *.opt
 
 clean:
-	rm -f META examples/test examples/loadpage examples/google \
-	examples/parsedate
-	for d in . examples wrappers; do (cd $$d; rm -f $(JUNKFILES)); done
+	rm -f META
+	for d in . examples test wrappers; do \
+	  (cd $$d; rm -f $(JUNKFILES)); \
+	done
 
 # Build dependencies.
 
@@ -194,4 +201,4 @@
 	mkdir html
 	-$(OCAMLDOC) $(OCAMLDOCFLAGS) -d html $^
 
-.PHONY: depend dist check-manifest html dpkg
+.PHONY: depend dist check-manifest html dpkg test run-tests

## perl4caml 0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,22 @@
 # Interface to Perl from OCaml.
 # Copyright (C) 2003 Merjis Ltd.
-# $Id: Makefile,v 1.30 2005/01/31 15:23:23 rich Exp $
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Library General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Library General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this library; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+#
+# $Id: Makefile,v 1.33 2008-03-01 13:02:21 rich Exp $
 
 include Makefile.config
 
@@ -19,7 +35,10 @@
 PERLCFLAGS := $(shell perl -e 'use Config; print $$Config{ccflags};')
 
 CC := gcc
-CFLAGS := -fPIC -Wall -Wno-unused -I$(PERLINCDIR) $(PERLCFLAGS) $(EXTRA_CFLAGS)
+CFLAGS := -fPIC -Wall -Wno-unused \
+	-I$(OCAMLLIBDIR) \
+	-I$(PERLINCDIR) $(PERLCFLAGS) \
+	$(EXTRA_CFLAGS) $(EXTRA_EXTRA_CFLAGS)
 
 LIBPERL := $(shell perl -MExtUtils::Embed -e ldopts)
 
@@ -73,7 +92,7 @@
 
 run-tests:
 	@fails=0; count=0; \
-	export LD_LIBRARY_PATH=`pwd`:$LD_LIBRARY_PATH; \
+	export LD_LIBRARY_PATH=`pwd`:$$LD_LIBRARY_PATH; \
 	for prog in $(TEST_PROGRAMS); do \
 	  if ! $$prog; then \
 	    echo Test $$prog failed; \

=== debian/changelog ===
perl4caml (0.9.5-8build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 10:34:24 +0200

perl4caml (0.9.5-8build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 19:06:36 +0100

perl4caml (0.9.5-8build2) plucky; urgency=medium

  * No-change rebuild for perl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 21:36:10 +0200

perl4caml (0.9.5-8build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:08:40 +0200

perl4caml (0.9.5-8) unstable; urgency=medium

  [ Niko Tyni ]
  * Fix FTBFS with gcc-14 (Closes: #1075378)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Aug 2024 10:55:34 +0200

perl4caml (0.9.5-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove MIA uploaders (Closes: #873233)
  * Apply multi-arch hints.
    + libperl4caml-ocaml-doc: Add Multi-Arch: foreign.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 08:15:41 +0200

perl4caml (0.9.5-6) unstable; urgency=medium

  * Update Vcs-*
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.6.2
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 15:52:34 +0200

perl4caml (0.9.5-5.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 13:46:58 +0100

perl4caml (0.9.5-5) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Cherrypick random patch from annexia.org to fix FTBFS with ocaml 4.04.

  [ Stéphane Glondu ]
  * Update Vcs-*
  * Bump debhelper compat to 10
  * Remove .depend (it is regenerated)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jul 2017 11:27:26 +0200

perl4caml (0.9.5-4) unstable; urgency=low

  * Add 0003-Fix-for-Perl-5.12-SVt_RV-missing.patch (Closes: #578800)
  * Switch source package format to 3.0 (quilt)
  * debian/control:
    - libperl4caml-ocaml-dev: add ocaml-findlib to Recommends
    - bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Jun 2010 14:09:36 +0200

perl4caml (0.9.5-3) unstable; urgency=low

  * Switch patches to quilt
  * Switch packaging to dh-ocaml 0.9 and simplify debian/rules
  * Drop dependency to libnet-google-perl (Closes: #550329)
    - add Disable-libnet-google-perl-wrappers.patch
  * debian/control:
    - update my e-mail address and remove DMUA
    - remove dependencies to perl; keep only libperl-dev
    - move to section ocaml
    - update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Oct 2009 14:11:37 +0200

perl4caml (0.9.5-2) unstable; urgency=low

  * Fix 10_Makefile.dpatch to handle tests on bytecode-only architectures
    (fixes FTBFS)
  * Bump ocaml build-dep to (>= 3.11) to entail proper dep-waits

 -- Stephane Glondu <steph@glondu.net>  Tue, 24 Feb 2009 18:17:21 +0100

perl4caml (0.9.5-1) unstable; urgency=low

  * Acknowledge NMU
  * New Upstream Version
    - remove 11_Makefile.config.dpatch (not relevant anymore)
  * Switch packaging to git, add Vcs-* fields
  * Set Maintainer to d-o-m, add Mike and me to Uploaders, add DMUA
  * Major changes in the packaging:
    - switch to debhelper 7 and use ocamlinit.mk
    - add ${misc:Depends} dependencies (as complained by Lintian)
    - add Homepage field, README.source and watch files
    - switch copyright to machine-parsable format
    - switch doc-base section to Programming/OCaml
    - merge two doc-base Format sections to Get rid of Lintian error
  * Bump Standards-Version to 3.8.0

 -- Stephane Glondu <steph@glondu.net>  Mon, 23 Feb 2009 00:26:44 +0100

perl4caml (0.9.3-8.1) unstable; urgency=low

  * Non-maintainer upload to help perl5.10 transition along
  * debian/patches/11_Makefile.config.dpatch: Added patch from Niko Tyni to
    let perl4caml build against other perl version than 5.8.X. (Closes:
    #466770)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 09 May 2008 11:19:11 +0200

perl4caml (0.9.3-8) unstable; urgency=low

  * Rebuild for 3.10.0

 -- Mike Furr <mfurr@debian.org>  Fri, 07 Sep 2007 17:20:24 -0400

perl4caml (0.9.3-7) unstable; urgency=medium

  * Fixed bad dependency in debian/rules which erroneously did not generate
    the *.files and therefore produced an empty package.  (Closes: 405136)

 -- Mike Furr <mfurr@debian.org>  Mon,  1 Jan 2007 21:37:11 -0500

perl4caml (0.9.3-6) unstable; urgency=low

  * Corrected "libdata-calc-perl" -> "libdate-calc-perl" and moved it from
    a Suggests to a Depends.  Thanks to Jean-Baptiste Rouquier for
    noticing.
  * Upgraded policy to 3.7.2 (no changes needed)
  * Package is now svn-buildpackage compatible
  * Dropped control.in per new OCaml policy

 -- Mike Furr <mfurr@debian.org>  Wed, 13 Sep 2006 16:44:37 -0400

perl4caml (0.9.3-5) unstable; urgency=low

  * Remove hard-coded ABI strings
  * Rebuild with 3.09.1

 -- Mike Furr <mfurr@debian.org>  Sat,  7 Jan 2006 18:22:00 -0500

perl4caml (0.9.3-4) unstable; urgency=low

  * Rebuild with 3.09

 -- Mike Furr <mfurr@debian.org>  Tue,  8 Nov 2005 22:41:42 -0500

perl4caml (0.3.15-2sarge1) testing-proposed-updates; urgency=low

  * Upload to t-p-u since 0.9.3 is now in unstable
  * Build with OCaml-3.08.3 (Closes: #307574)
  * Backported reference counting fixes from 0.9.3
    and some updates to the comments in the code

 -- Mike Furr <mfurr@debian.org>  Mon,  9 May 2005 19:46:14 -0400

perl4caml (0.9.3-3) unstable; urgency=low

  * Missed John's makefile patch, added back with dpatch
  * Makefile now detects absence of ocamlopt
  * Policy => 3.6.1.0
  * lintian suggested typo fixes

 -- Mike Furr <mfurr@debian.org>  Tue,  3 May 2005 22:03:09 -0400

perl4caml (0.9.3-2) unstable; urgency=medium



=== debian/control ===
Source: perl4caml
Priority: optional
Section: ocaml
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libperl-dev,
 ocaml,
 dh-ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://merjis.com/developers/perl4caml
Vcs-Git: https://salsa.debian.org/ocaml-team/perl4caml.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/perl4caml

Package: libperl4caml-ocaml-dev
Architecture: any
Suggests:
 libperl4caml-ocaml-doc,
 libwww-perl,
 libcrypt-ssleay-perl,
 libtimedate-perl,
 libwww-mechanize-perl
Depends:
 libhtml-tree-perl,
 liburi-perl,
 libtemplate-perl,
 libdate-calc-perl,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Use Perl code in OCaml programs, development files
 perl4caml allows you to use Perl code within Objective CAML (OCaml),
 thus neatly side-stepping the old problem with OCaml which was that it
 lacked a comprehensive set of libraries. Well now you can use any part
 of CPAN in your OCaml code.
 .
 This package provides the tools necessary to use perl4caml in your own
 programs.  To get the documentation, please install libperl4caml-ocaml-doc.

Package: libperl4caml-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Use Perl code in OCaml programs, runtime library
 perl4caml allows you to use Perl code within Objective CAML (OCaml),
 thus neatly side-stepping the old problem with OCaml which was that it
 lacked a comprehensive set of libraries. Well now you can use any part
 of CPAN in your OCaml code.
 .
 This package provides the runtime dynamic library necessary to use this
 in bytecode OCaml programs.

Package: libperl4caml-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Use Perl code in OCaml programs, documentation
 perl4caml allows you to use Perl code within Objective CAML (OCaml),
 thus neatly side-stepping the old problem with OCaml which was that it
 lacked a comprehensive set of libraries. Well now you can use any part
 of CPAN in your OCaml code.
 .
 This package provides developers' documentation and examples about the
 use of perl4caml.

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://merjis.com/developers/perl4caml /_file/perl4caml-(.*)\.tar\.gz
